Name: 		kiran-menu
Version:	2.6.0
Release:	4
Summary:	Applets for mate panel from Kiran Desktop

License:	MulanPSL-2.0
Source0:	%{name}-%{version}.tar.gz

Patch1000:    0000-fix-tasklist-app-button-Fix-touch-screen-taskbar-but.patch
Patch1001:    0001-feature-menu-Other-workspace-Windows-are-not-display.patch
Patch1002:    0002-fix-recent-files-list-box-Fixed-an-issue-where-recen.patch
Patch1003:    0003-fix-tray-Fixed-an-issue-where-the-x11-tray-icon-did-.patch
Patch1004:    0004-fix-common-Fix-Pinyin-search-failed-when-etc-locale..patch
Patch1005:    0005-feat-menu-Replace-mate-panel-run-dialog-with-kiran-p.patch
Patch1006:    1006-fix-menu-Fixed-the-issue-where-the-taskbar-close-win.patch
Patch1007:    1007-fix-menu-applet-button-Fix-win-key-popup-Start-menu-.patch
Patch1008:    1008-fix-tray-when-resize-icon-window-it-is-necessary-to-.patch
Patch1009:    1009-fix-tasklist-app-widget-Fixed-an-issue-where-taskbar.patch
Patch1010:    1010-fix-tasklist-app-widget-Fixed-the-taskbar-page-turni.patch
Patch1011:    1011-feat-applet-icon-The-plugin-button-loads-the-icon-fr.patch
Patch1012:    1012-fix-menu-applet-window-Fix-xnest-connection-crash.patch
Patch1013:    1013-fix-tasklist-app-button-Fixed-an-issue-where-the-tas.patch
Patch1014:    1014-fix-menu-Fixed-start-Menu-without-icon-application-d.patch

BuildRequires:	cmake > 3.0
BuildRequires:	gcc-c++
BuildRequires:	gtkmm30-devel
BuildRequires:  json-glib-devel
BuildRequires:	gettext
BuildRequires:	libwnck3-devel
BuildRequires:	kiran-cc-daemon-devel
BuildRequires:	libX11-devel
BuildRequires:  libxcb-devel
BuildRequires:  json-glib-devel
BuildRequires:	libXcomposite-devel
BuildRequires:	mate-desktop-devel >= 1.22
BuildRequires:	cairomm-devel
BuildRequires:  kiran-log-gtk3-devel
BuildRequires:  libdbusmenu-devel
BuildRequires:  libxml2-devel
BuildRequires:  fmt-devel
BuildRequires:  kiran-panel
BuildRequires:  kiran-panel-libs
BuildRequires:  kiran-panel-devel

Requires:	libwnck3
Requires:	kiran-system-daemon
Requires:	kiran-session-manager
Requires:	glib2
Requires:	gtk-update-icon-cache
Requires:	mate-control-center
Requires:	caja
Requires:	yelp

%description
Redesigned start menu for Mate Desktop

%package -n kiran-applets
Summary:  mate panel applets for Kiran Desktop
Requires:	kiran-screensaver
Requires:	mate-system-monitor
Requires:	kiran-session-manager
Requires:	mate-search-tool
Obsoletes: kiran-menu >= 2.0
%description -n kiran-applets
Redesigned panel applets for Mate Desktop


%prep
%autosetup -p1

%build
%if "%{ks_custom_name}" == "GC"
    %cmake -DBUILD_SHARED_LIBS:BOOL=OFF -DPOWER_DIALOG:BOOL=ON
%else
    %cmake -DBUILD_SHARED_LIBS:BOOL=OFF
%endif

make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%files -n kiran-applets
%{_libexecdir}/kiran-panel/kiran-applet
%{_datadir}/dbus-1/services/org.kiran.panel.applet.KiranAppletFactory.service
%{_datadir}/glib-2.0/schemas/com.kylinsec.kiran.startmenu.gschema.xml
%{_datadir}/glib-2.0/schemas/com.kylinsec.kiran.taskbar.gschema.xml
%{_datadir}/glib-2.0/schemas/com.kylinsec.kiran.workspace-switcher.gschema.xml
%{_datadir}/glib-2.0/schemas/com.kylinsec.kiran.tray.gschema.xml
%{_datadir}/kiran-applet/com.kylinsec.Kiran.MenuCategory.xml
%{_datadir}/kiran-applet/kiran-applet.gresource
%{_datadir}/locale/zh_CN/LC_MESSAGES/kiran-applet.mo
%{_datadir}/locale/bo_CN/LC_MESSAGES/kiran-applet.mo
%{_datadir}/locale/kk_KG/LC_MESSAGES/kiran-applet.mo
%{_datadir}/locale/kk_KZ/LC_MESSAGES/kiran-applet.mo
%{_datadir}/locale/mn_MN/LC_MESSAGES/kiran-applet.mo
%{_datadir}/locale/ug_CN/LC_MESSAGES/kiran-applet.mo
%{_datadir}/kiran-panel/applets/org.mate.panel.KiranApplet.mate-panel-applet
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/kiran-applet/menu-menu.ui.xml
%{_datadir}/kiran-applet/tasklist-menu.ui.xml
%{_datadir}/kiran-applet/workspace-switcher-menu.ui.xml
%{_includedir}/kiran-applet/tray-i.h
%{_libdir}/pkgconfig/kiran-applet.pc

%post -n kiran-applets
glib-compile-schemas /usr/share/glib-2.0/schemas/ &> /dev/null || :
gtk-update-icon-cache -f /usr/share/icons/hicolor/


%changelog
* Tue Apr 09 2024 yangfeng <yangfeng@kylinsec.com.cn> - 2.6.0-4
- KYOS-B: Fixed an issue where taskbar page-turning ICONS cover each other(#19588)
- KYOS-B: Fixed the taskbar page-turning ICONS hiding each other when zoom rate was 200%(#19588)
- KYOS-F: The plugin button loads the icon from the system theme
- KYOS-B: Fixed xnest connection crash
- KYOS-B: Fixed an issue where the taskbar does not drag smoothly
- KYOS-B: Fixed start Menu without icon application drag and drop causes the bottom panel to crash(#34719)

* Tue Mar 05 2024 luoqing <luoqing@kylinsec.com.cn> - 2.6.0-3
- KYOS-B: Fixed the issue where the taskbar close window used the wrong timestamp.(#26368)
- KYOS-B: Fix win key popup Start menu does not get focus, can not directly keyboard operation (#21246)
- KYOS-B: :when resize icon window, it is necessary to consider the impact of the scale factor.The correct resize height is the height of the container multiplied by the scale factor of the container (#30889)

* Thu Jan 18 2024 yangfeng <yangfeng@kylinsec.com.cn> - 2.6.0-2
- KYOS-B: Fix touch screen taskbar button click judged as drag.(#23600)
- KYOS-F: Other workspace Windows are not displayed by default.
- KYOS-B: Fixed an issue where recent documents were not sorted.(#24803)
- KYOS-B: Fixed an issue where the x11 tray icon did not match the size of the icon container, causing the tray icon to display abnormally.(#22117)
- KYOS-B: Fix Pinyin search failed when /etc/locale.conf is not LANG="zh_CN.UTF-8".(#21369)
- KYOS-F: Replace "mate-panel --run-dialog" with "kiran-panel --run-dialog".(#24810)

* Wed Dec 06 2023 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.6.0-1.kb1
- release 2.6,new start menu icon

* Thu May 11 2023 kpkg <kpkg.kylinsec.com.cn> - 2.5.1-1.kb1
- rebuild for KiranUI-2.5-next

* Wed May 10 2023 tangjie02 <tangjie02@kylinsec.com.cn> - 2.5.1-1
- KYOS-F: replace suspend/hibernate/shutdown api with SessionManager.

* Fri Apr 21 2023 huangjiawen <huangjiawen@kylinsec.com.cn> - 2.5.0-3
- KYOS-B：Hide UI after click on the power option

* Thu Apr 13 2023 huangjiawen <huangjiawen@kylinsec.com.cn> - 2.5.0-2
- KYOS-B：Enable modal power option.

* Thu Mar 16 2023 wangxiaoqing <wangxiaoqing@kylinsec.com.cn> - 2.5.0-1
- KYOS-B: Add pinyin search method for application.(#67099)
